%global bname   xfce4-popup-hamstermenu

Name:           xfce4-hamster-plugin
Version:        1.4
Release:        0.2%{?dist}
Summary:        Time tracker port of the 'hamster project extension' for the xfce4 panel

License:        GPLv2+
URL:            https://github.com/projecthamster/%{name}/
Source0:        https://github.com/projecthamster/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  xfce4-panel-devel xfconf-devel libxfcegui4-devel
BuildRequires:  intltool libtool gettext

##hamster-applet has dead upstream, hamster-time-tracker is the new hope
##see https://github.com/projecthamster/xfce4-hamster-plugin/issues/11
Requires:       hamster-time-tracker   

%description
This is a recreation of the gnome-shell hamster extension
as a xfce4 panel plugin.
See also the hamster project: <https://github.com/projecthamster>

%prep
%setup -qn %{name}-%{version}
sh autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name}
##la file is not needed, see https://github.com/projecthamster/xfce4-hamster-plugin/issues/12
rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libhamster.la
libtool --finish %{buildroot}%{_libdir}/xfce4/panel/plugins


%files -f %{name}.lang
%doc COPYING README README.md ChangeLog AUTHORS ABOUT-NLS NEWS
%{_bindir}/%{bname}
%{_libdir}/xfce4/panel/plugins/libhamster.so
%{_datadir}/xfce4/panel/plugins/hamster.desktop


%changelog
* Wed Oct 29 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.4-0.2
- new upstream release 1.4
- proper %find_lang usage
- new binary file
- install icon

* Thu Oct 09 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.2-0.1
- initial
